> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List entities

> Returns all entities from current organization



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/entities
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/entities:
    get:
      tags:
        - entities
      summary: List entities
      description: List entities by org ID
      operationId: TrioFoundationWeb.Banking.EntityController.index
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity_list_response'
          description: Entities
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Entity_list_response:
      description: A list of entities from TrioCore's compliance
      example:
        data:
          - birth_state: pr
            brcode_city: ''
            brcode_name: ''
            company_id: 019f2433-fd74-caee-f3a1-070d97dcdaf1
            constitution_date: 01/01/2024
            email: entity@gmail.com
            id: 019f2433-fd74-8cd0-5c1a-b871ccf720ba
            initiation_service: iniciador
            inserted_at: '2026-07-02T19:00:14.854118Z'
            legal_name: Entity Test LLC
            monthly_income: 10000000
            name: Entity Test
            org_id: 019f2433-fd74-a253-0feb-f3262971e83e
            tax_number: 56HSK1O0ATI054
            updated_at: '2026-07-02T19:00:14.854125Z'
      properties:
        data:
          items:
            $ref: '#/components/schemas/Entity_response'
          type: array
      title: Entity list response
      type: object
    Entity_response:
      description: An entity for compliance
      example:
        data:
          birth_state: pr
          brcode_city: ''
          brcode_name: ''
          company_id: 019f2433-fd74-caee-f3a1-070d97dcdaf1
          constitution_date: 01/01/2024
          email: entity@gmail.com
          id: 019f2433-fd74-8cd0-5c1a-b871ccf720ba
          initiation_service: iniciador
          inserted_at: '2026-07-02T19:00:14.854118Z'
          legal_name: Entity Test LLC
          monthly_income: 10000000
          name: Entity Test
          org_id: 019f2433-fd74-a253-0feb-f3262971e83e
          tax_number: '05964110000197'
          updated_at: '2026-07-02T19:00:14.854125Z'
      properties:
        data:
          $ref: '#/components/schemas/Entity_response'
      title: Entity response
      type: object

````